package com.alterdekim.login;

import fi.iki.elonen.NanoHTTPD;

import java.io.IOException;

public class LoginServer extends NanoHTTPD {
    public LoginServer(int port) throws IOException {
        super(port);
        start(NanoHTTPD.SOCKET_READ_TIMEOUT, false);
    }

    @Override
    public Response serve(IHTTPSession session) {
        return newChunkedResponse(Response.Status.OK, "text/html", Thread.currentThread().getContextClassLoader().getResourceAsStream("login.html"));
    }
}
